Bug 487129 - libuser doesn't prohibit (id_t)-1
libuser doesn't prohibit (id_t)-1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 08:27 EST by Miloslav Trmač
Modified: 2009-09-14 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 13:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-02-24 08:27:49 EST
The id_t value -1 is reserved by the kernel - see chown(3p) for example.  libuser internally considers it a reserved value as well - LU_VALUE_INVALID_ID, but it lets the users specify this value.

For example, (luseradd -u 4294967295) behaves as if the -u option were not specified.
Comment 1 Miloslav Trmač 2009-05-23 04:49:33 EDT
Fixed in hg tip.
Comment 2 Bug Zapper 2009-06-09 07:36:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Miloslav Trmač 2009-09-14 13:19:17 EDT
Fixed in rawhide libuser-0.56.11-1.

Note You need to log in before you can comment on or make changes to this bug.